package com.tipcj;

public final class SocketType {
	int val;

	@SuppressWarnings("unused")
	private SocketType() {};

	public SocketType(int sktype) {
		this.val = sktype;
	}

	public boolean equals(Object obj) {
		if (obj instanceof SocketType) {
			return val == ((SocketType) obj).val;
		}
		return false;
	}

	public static final SocketType SOCK_STREAM    = new SocketType(1); /* stream (connection) socket */
	public static final SocketType SOCK_DGRAM     = new SocketType(2); /* datagram (conn.less) socket */
	public static final SocketType SOCK_RDM       = new SocketType(4); /* reliably-delivered message */
	public static final SocketType SOCK_SEQPACKET = new SocketType(5); /* sequential packet socket */
}
